View Issue Details

IDProjectCategoryView StatusLast Update
0010285mantisbtbugtrackerpublic2016-07-11 15:36
Reportersivasankari Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformwindowsOSwindowsOS Versionxp
Product Version1.1.6 
Summary0010285: Allow Only Reporters to change the issue status to CLOSED
Description

I've made these changes config_inc.php

$g_allow_reporter_close = ON;
$g_allow_close_immediately = OFF;

In the Workflow Transition page, if the current status is resolved, I want the next status to be closed but reopened status get checked automatically

TagsNo tags attached.

Relationships

parent of 0012085 closeddhx Deprecate $g_allow_close_immediately 
parent of 0012086 new Deprecate $g_allow_reporter_close 
parent of 0012087 new Deprecate $g_allow_reporter_reopen 
Not all the children of this issue are yet resolved or closed.

Activities

2009-04-03 03:36

 

issue status.GIF (16,676 bytes)   
issue status.GIF (16,676 bytes)   
dhx

dhx

2010-06-17 21:27

reporter   ~0025881

I propose adding a new 'reporter_set_status_threshold' that behaves in the same way as 'set_status_threshold' except that it applies to the person who reported the issue. A similar 'handler_set_status_threshold' would also be useful for defining permissions for the handler of an issue.

These proposed options would be far more powerful than the current boolean 'allow_reporter_close' and 'allow_close_immediately' options.

dhx

dhx

2010-06-17 21:39

reporter   ~0025882

Actually I don't see why we need both status_enum_workflow AND set_status_threshold at the same time. And I now disagree with the proposal I mentioned a few minutes ago.

A better approach IMO is to just keep status_enum_workflow and allow administrators to set this option on a per-user and per-project basis. We could then add special values for the "per-user" field such as "handler" and "reporter". This would have the benefit of allowing administrators to use these new handler/reporter meta-values for other options.